## org.biojava.bio.seq.impl
Class SimpleSequenceFactory

    java.lang.Object
      org.biojava.bio.seq.impl.SimpleSequenceFactory

All Implemented Interfaces:
  Serializable, SequenceFactory

    public class SimpleSequenceFactory

extends Object
implements SequenceFactory, Serializable

A no-frills implementation of SequenceFactory that produces SimpleSequence objects.

Author:
  Matthew Pocock, Thomas Down
See Also:
  Serialized Form

Constructor Summary
`SimpleSequenceFactory()`

Method Summary
`Sequence` `createSequence(SymbolList symList, String uri, String name, Annotation annotation)` Creates a sequence using these parameters.
`FeatureRealizer` `getFeatureRealizer()` Returns the FeatureRealizer set by "setFeatureRealizer".
`void` `setFeatureRealizer(FeatureRealizer fr)` Set the FeatureRealizer used by new sequences created by this factory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleSequenceFactory

    public SimpleSequenceFactory()

Method Detail

### getFeatureRealizer

    public FeatureRealizer getFeatureRealizer()

  Returns the FeatureRealizer set by "setFeatureRealizer".

### setFeatureRealizer

    public void setFeatureRealizer(FeatureRealizer fr)

  Set the FeatureRealizer used by new sequences created by this factory.

### createSequence

    public Sequence createSequence(SymbolList symList,
                                   String uri,
                                   String name,
                                   Annotation annotation)

  Description copied from interface: `SequenceFactory`
  Creates a sequence using these parameters.

  Specified by:
    `createSequence` in interface `SequenceFactory`
  Parameters:
    `symList` - the SymbolList defining the 'sequence'
    `uri` - the uri of the sequence. This will be returned by the getURN() method on Sequence.
    `name` - the name
    `annotation` - a hint for the annotation of the resulting sequence
  Returns:
    a new Sequence object